Bug 123868 - zh_* cannot get the best matched font on some of the widget
Summary: zh_* cannot get the best matched font on some of the widget
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-21 04:48 UTC by Leon Ho
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 11:00:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fontconfig fix for qfontdatabase (402 bytes, patch)
2004-05-21 04:48 UTC, Leon Ho
no flags Details | Diff

Description Leon Ho 2004-05-21 04:48:08 UTC
Description of problem:
Some of the widget in kde does not give the best font in zh_* locale

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1. LANG=zh_TW.UTF-8 kedit
2. type or cut and paste chinese into the text edit widget
  
Actual results:
japanese font

Expected results:
chinese font

Additional info:

Comment 1 Leon Ho 2004-05-21 04:48:59 UTC
Created attachment 100409 [details]
fontconfig fix for qfontdatabase

Comment 2 Leon Ho 2004-05-21 04:51:16 UTC
This patch should fix the problem. Let me know if it is not fixed for
some other cases so I can debug again.

Comment 3 Ngo Than 2004-05-21 08:53:28 UTC
Hi Leon,

it seems that it has been fixed in qt-3.3.2-4 in fc3. I have done a
backport of some qt patches from qt snapshot. The problem with symbol
is also fixed in this release.

it would be nice if you could take a look here. Thanks for your help.

Comment 4 Leon Ho 2004-06-11 05:07:28 UTC
Seems it didn't work for me on latest qt build. I didn't see simliar
patch from the backport. I think they still haven't accept my patch.
Is it possible to include the patch in the interim? Thanks.

Comment 5 Ngo Than 2004-06-24 11:00:59 UTC
i already added this patch in qt-3.3.2-8. Thanks for the patch


Note You need to log in before you can comment on or make changes to this bug.